Page MenuHomePhabricator

Give Phame blogs mutable interact policies
ClosedPublic

Authored by epriestley on Apr 1 2022, 7:05 PM.
Tags
None
Referenced Files
F11165385: D21751.id51860.diff
Wed, Sep 28, 7:29 PM
Unknown Object (File)
Sun, Sep 25, 6:18 PM
Unknown Object (File)
Sat, Sep 24, 9:21 PM
Unknown Object (File)
Sun, Sep 11, 9:15 AM
Unknown Object (File)
Fri, Sep 9, 11:18 PM
Unknown Object (File)
Sat, Sep 3, 8:54 PM
Unknown Object (File)
Aug 18 2022, 4:48 PM
Unknown Object (File)
Aug 16 2022, 6:47 AM
Subscribers
Restricted Owners Package

Details

Summary

Ref T13661.

I'm fairly sure these policies don't actually do anything (you can't "interact" with a blog) but the primarily support a Phame Post object policy of "Same as Parent Blog", which is the "natural" interact policy for a post.

Most of this is infrastructure support for mutable interact policies: today, only Maniphest has interact mutability and only via indirect effects (locking tasks), not through a directly mutable "Can Interact" policy.

Test Plan

Ran storage upgrade, edited interact policy of a blog, saw appropriate persistence and transactions.

Created and edited a task to make sure there's no weird fallout from increasing what can be done with interact policies.

Diff Detail

Repository
rP Phabricator
Branch
phameint4
Lint
Lint Passed
Unit
Test Failures
Build Status
Buildable 25634
Build 35462: arc lint + arc unit

Unit TestsFailed

TimeTest
6 msPhabricatorPolicyDataTestCase::testProjectPolicyMembership
EXCEPTION (RuntimeException): strlen(): Passing null to parameter #1 ($string) of type string is deprecated #0 /Users/epriestley/dev/core/lib/phabricator/src/applications/project/storage/PhabricatorProject.php(410): PhutilErrorHandler::handleError(8192, 'strlen(): Passi...', '/Users/epriestl...', 410) #1 /Users/epriestley/dev/core/lib/phabricator/src/applications/policy/__tests__/PhabricatorPolicyDataTestCase.php(16): PhabricatorProject->save()
212 msPhabricatorCelerityTestCase::testCelerityMaps
3 assertions passed.
11 msPhabricatorConduitTestCase::testConduitMethods
1 assertion passed.
0 msPhabricatorInfrastructureTestCase::testApplicationsInstalled
1 assertion passed.
1 msPhabricatorInfrastructureTestCase::testRejectMySQLNonUTF8Queries
1 assertion passed.
View Full Test Results (1 Failed · 29 Passed)

Event Timeline

Owners added a subscriber: Restricted Owners Package.Apr 1 2022, 7:05 PM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 1 2022, 7:53 PM
This revision was landed with ongoing or failed builds.
This revision was automatically updated to reflect the committed changes.